Package org.openni

# Class DeviceInfo

java.lang.Object
org.openni.DeviceInfo

public class DeviceInfo extends Object

The DeviceInfo class encapsulates info related to a specific device.

Applications will generally obtain objects of this type via calls to `OpenNI.enumerateDevices()` or `Device.getDeviceInfo()`, and then use the various accessor functions to obtain specific information on that device.

There should be no reason for application code to instantiate this object directly.

## Constructor Summary

Constructors
Constructor
Description
`DeviceInfo(String uri, String vendor, String name, int usbVendorId, int usbProductId)`

## Method Summary

Modifier and Type
Method
Description
`final String`
`getName()`
Getter function for the device name.
`final String`
`getUri()`
Getter function for the device URI.
`int`
`getUsbProductId()`
Getter function for the USB PID device code.
`int`
`getUsbVendorId()`
Getter function for the USB VID device code.
`final String`
`getVendor()`
Getter function for the device vendor name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeviceInfo

public DeviceInfo(String uri, String vendor, String name, int usbVendorId, int usbProductId)

## Method Details

### getUri

public final String getUri()
Getter function for the device URI. URI can be used by `Device.open(String)` to open a specific device.

Returns:
  The URI string format is determined by the driver.

### getVendor

public final String getVendor()
Getter function for the device vendor name.

Returns:
  A the vendor name for this device.

### getName

public final String getName()
Getter function for the device name.

Returns:
  The device name for this device.

### getUsbVendorId

public int getUsbVendorId()
Getter function for the USB VID device code.

Returns:
  The USB VID code for this device.

### getUsbProductId

public int getUsbProductId()
Getter function for the USB PID device code.

Returns:
  The USB PID code for this device.